## sahara-dashboard 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
# Horizon Core Requirements
Babel>=1.3 # BSD
Django<1.9,>=1.8 # BSD
django-compressor>=2.0 # MIT
django-openstack-auth>=2.0.0 # Apache-2.0
iso8601>=0.1.9 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-manilaclient>=1.3.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-saharaclient>=0.13.0 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 22:34:21 +0200

sahara-dashboard (4.0.0~rc2-1) unstable; urgency=medium

  * Initial release. (Closes: #812836)

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 21:39:26 +0800

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/sahara-dashboard.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=saharadashboard.test.settings \
		python-coverage run \
		$(CURDIR)/manage.py test sahara_dashboard --settings=sahara_dashboard.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils

	# Activates the sahara_dashboard plugin in Horizon
	# sahara_dashboard/enabled/_*
	set -e ; for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-sahara-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
		cp $(CURDIR)/sahara_dashboard/enabled/_* $(CURDIR)/debian/python-sahara-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
		rm $(CURDIR)/debian/python-sahara-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled/__init__.py ; \
	done
	mkdir -p $(CURDIR)/debian/python-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/sahara_dashboard/enabled/_*.py $(CURDIR)/debian/python-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	rm $(CURDIR)/debian/python-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled/__init__.py

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/sahara-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## sahara-dashboard 5.0.0~rc2

=== debian/changelog ===
sahara-dashboard (5.0.0~rc2-2+2~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 14:38:49 +0000

sahara-dashboard (5.0.0~rc2-2) unstable; urgency=medium

  * Uploading to unstable (Closes: #837222).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 15:19:09 +0200

sahara-dashboard (5.0.0~rc2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Thomas Goirand ]
  * Added missing EPOC in (build-)depends: openstack-dashboard.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    - request.REQUEST-is-removed.patch
    - remove-load-url-from-future.patch
    - disable-failed-manila-test.patch.
  * Using OpenStack's Gerrit as VCS URLs:
    - Point .gitreview file to packaging-deb project.
    - Add .gitreview to extend-diff-ignore in d/s/options.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Jul 2016 09:24:22 +0200

sahara-dashboard (4.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  * Adds -f flag when deleting .secret_key_store file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Apr 2016 22:36:56 +0000

## sahara-dashboard 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
# Horizon Core Requirements
Babel>=2.3.4 # BSD
Django<1.9,>=1.8 # BSD
django-compressor>=2.0 # MIT
django-openstack-auth>=2.4.0 # Apache-2.0
iso8601>=0.1.11 # MIT
python-designateclient>=1.5.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-manilaclient>=1.10.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-saharaclient>=0.18.0 # Apache-2.0
pytz>=2013.6 # MIT

=== debian/changelog ===
sahara-dashboard (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:23:10 +0200

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc2),
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-designateclient (>= 1.5.0),
                     python-ddt (>= 1.0.1),
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-nose (>= 1.4.4),
                     python-django-openstack-auth (>= 2.4.1),
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-keystoneclient (>= 1:2.3.1),
                     python-manilaclient (>= 1.10.0),
                     python-mock (>= 1.3),
                     python-mox3 (>= 0.7.0),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:4.1.0),
                     python-nose-exclude,
                     python-oslosphinx (>= 2.5.0),
                     python-saharaclient (>= 0.18.0),
                     python-selenium,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-xvfbwrapper (>= 0.1.3),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Git: https://git.openstack.org/openstack/deb-sahara-dashboard -b debian/newton
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-sahara-dashboard?h=debian%2Fnewton
Homepage: https://github.com/stackforge/sahara-dashboard

Package: python-sahara-dashboard
Architecture: all
Depends: openstack-dashboard (>= 3:10.0.0~rc2),
         python-designateclient (>= 1.5.0),
         python-babel (>= 2.3.4),
         python-django (>= 1.8),
         python-django-compressor (>= 2.0),
         python-django-openstack-auth (>= 2.4.1),
         python-iso8601 (>= 0.1.11),
         python-keystoneclient (>= 1:2.3.1),
         python-manilaclient (>= 1.10.0),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:4.1.0),
         python-pbr (>= 1.8),
         python-saharaclient (>= 0.18.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 PYTHONS:=$(shell pyversions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/sahara-dashboard.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

## sahara-dashboard 6.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
# Horizon Core Requirements
Django<1.9,>=1.8 # BSD
django-compressor>=2.0 # MIT
django-openstack-auth>=2.4.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-manilaclient>=1.12.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
python-saharaclient>=1.1.0 # Apache-2.0
pytz>=2013.6 # MIT

=== debian/changelog ===
sahara-dashboard (6.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/python-sahara-dashboard.postinst: Only remove .secret_key_store
    if it exists.
  * d/watch: Get orig tarball from openstack.org.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Install all panels with _18 prefix.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jan 2017 14:17:06 -0500

## sahara-dashboard 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Horizon Core Requirements
 Django<1.9,>=1.8 # BSD
 django-compressor>=2.0 # MIT
-django-openstack-auth>=2.4.0 # Apache-2.0
+django-openstack-auth>=3.1.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
 python-designateclient>=1.5.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (6.0.0-0ubuntu1.2) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * d/python-sahara-dashboard.postinst: Align with openstack-dashboard
    and use chown horizon instead of www-data (LP: #1755027).
  * d/p/fix-neutron-related-openstack_dashboard-imports.patch: Cherry-picked
    patch from upstream to fix AttributeError's such as "AttributeError:
    'module' object has no attribute 'floating_ip_pools_list'" (LP: #1756189).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 21:20:49 -0400

sahara-dashboard (6.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 11:33:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sahara-dashboard
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -21,16 +22,17 @@
                      python-django-openstack-auth (>= 2.4.1),
                      python-hacking,
                      python-iso8601 (>= 0.1.11),
-                     python-keystoneclient (>= 1:2.3.1),
-                     python-manilaclient (>= 1.10.0),
+                     python-keystoneclient (>= 1:3.8.0),
+                     python-manilaclient (>= 1.12.0),
                      python-mock (>= 1.3),
                      python-mox3 (>= 0.7.0),
                      python-netifaces (>= 0.10.4),
                      python-neutronclient (>= 1:5.1.0),
-                     python-novaclient (>= 2:4.1.0),
+                     python-novaclient (>= 2:6.0.0),
                      python-nose-exclude,
-                     python-oslosphinx (>= 2.5.0),
-                     python-saharaclient (>= 0.18.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-saharaclient (>= 1.1.0),
                      python-selenium,
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
@@ -39,8 +41,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Git: https://git.openstack.org/openstack/deb-sahara-dashboard -b debian/newton
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-sahara-dashboard?h=debian%2Fnewton
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
 Homepage: https://github.com/stackforge/sahara-dashboard
 
 Package: python-sahara-dashboard
@@ -52,12 +54,13 @@
          python-django-compressor (>= 2.0),
          python-django-openstack-auth (>= 2.4.1),
          python-iso8601 (>= 0.1.11),
-         python-keystoneclient (>= 1:2.3.1),
-         python-manilaclient (>= 1.10.0),
+         python-keystoneclient (>= 1:3.8.0),
+         python-manilaclient (>= 1.12.0),
          python-neutronclient (>= 1:5.1.0),
-         python-novaclient (>= 2:4.1.0),
+         python-novaclient (>= 2:6.0.0),
+         python-oslo.log (>= 3.11.0),
          python-pbr (>= 1.8),
-         python-saharaclient (>= 0.18.0),
+         python-saharaclient (>= 1.1.0),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack data processing cluster as a service - dashboard plugin

## sahara-dashboard 8.0.0~b1

=== debian/changelog ===
sahara-dashboard (8.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Nov 2017 09:38:16 -0500

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.6.2),
Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc2),
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-designateclient (>= 2.7.0),
                     python-ddt (>= 1.0.1),
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-nose (>= 1.4.4),
                     python-django-openstack-auth (>= 3.5.0),
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-keystoneclient (>= 1:3.8.0),
                     python-manilaclient (>= 1.16.0),
                     python-mock (>= 2.0.0),
                     python-mox3 (>= 0.20.0),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:6.3.0),
                     python-novaclient (>= 2:9.1.0),
                     python-nose-exclude,
                     python-oslo.log (>= 3.30.0),
                     python-oslo.serialization (>= 2.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-saharaclient (>= 1.2.0),
                     python-selenium,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-xvfbwrapper (>= 0.1.3),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Homepage: https://github.com/stackforge/sahara-dashboard

Package: python-sahara-dashboard
Architecture: all
Depends: openstack-dashboard (>= 3:10.0.0~rc2),
         python-designateclient (>= 2.7.0),
         python-babel (>= 2.3.4),
         python-django (>= 1.8),
         python-django-compressor (>= 2.0),
         python-django-openstack-auth (>= 3.5.0),
         python-iso8601 (>= 0.1.11),
         python-keystoneclient (>= 1:3.8.0),
         python-manilaclient (>= 1.16.0),
         python-neutronclient (>= 1:6.3.0),
         python-novaclient (>= 2:9.1.0),
         python-oslo.log (>= 3.30.0),
         python-oslo.serialization (>= 2.18.0),
         python-pbr (>= 2.0.0),
         python-saharaclient (>= 1.2.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/sahara-dashboard sahara-dashboard-(\d.*)\.tar\.gz

## sahara-dashboard 8.0.0~b2

=== debian/changelog ===
sahara-dashboard (8.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.
  * d/control: Ensure min version of openstack-dashboard includes in-tree
    python-django-openstack-auth.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Dec 2017 09:31:45 -0500

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:13.0.0~b2-0ubuntu2~),
 python-babel (>= 2.3.4),
 python-coverage,
 python-ddt (>= 1.0.1),
 python-designateclient (>= 2.7.0),
 python-django (>= 1.8),
 python-django-compressor (>= 2.0),
 python-django-nose (>= 1.4.4),
 python-hacking,
 python-iso8601 (>= 0.1.11),
 python-keystoneclient (>= 1:3.8.0),
 python-manilaclient (>= 1.16.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-netifaces (>= 0.10.4),
 python-neutronclient (>= 1:6.3.0),
 python-nose-exclude,
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.log (>= 3.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslosphinx (>= 4.7.0),
 python-saharaclient (>= 1.4.0),
 python-selenium,
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-unittest2,
 python-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Homepage: https://github.com/stackforge/sahara-dashboard

Package: python-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:13.0.0~b2-0ubuntu2~),
 python-babel (>= 2.3.4),
 python-designateclient (>= 2.7.0),
 python-django (>= 1.8),
 python-django-compressor (>= 2.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneclient (>= 1:3.8.0),
 python-manilaclient (>= 1.16.0),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.log (>= 3.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-pbr (>= 2.0.0),
 python-saharaclient (>= 1.4.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack data processing cluster as a service - dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack dashboard plugin.

## sahara-dashboard 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
# Horizon Core Requirements
Django<2.0,>=1.8 # BSD
django-compressor>=2.0 # MIT
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-saharaclient>=1.4.0 # Apache-2.0
pytz>=2013.6 # MIT

=== debian/changelog ===
sahara-dashboard (8.0.0-0ubuntu1.1) bionic; urgency=medium

  * d/python-sahara-dashboard.postinst: Ensure /var/lib/openstack-dashboard
    exists before chown.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 21:02:31 -0400

sahara-dashboard (8.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 16:10:41 -0500

sahara-dashboard (8.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/heat-was-removed-from-horizon.patch: Dropped. Included in upstream
    release candidate.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 09:41:52 -0500

sahara-dashboard (8.0.0~b2-0ubuntu3) bionic; urgency=medium

  * d/p/heat-was-removed-from-horizon.patch: Cherry-picked from upstream
    master to remove heat_data as heat-dashboard has been split from horizon.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 16:42:51 -0500

sahara-dashboard (8.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/python-sahara-dashboard.postinst: Align with horizon and other
    dashboards by switching to using horizon instead of www-data.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 15:20:52 -0500

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
 Build-Depends-Indep:
  openstack-dashboard (>= 3:13.0.0~b2-0ubuntu2~),
  python-babel (>= 2.3.4),
- python-coverage,
+ python-coverage (>= 4.0),
  python-ddt (>= 1.0.1),
  python-designateclient (>= 2.7.0),
  python-django (>= 1.8),
  python-django-compressor (>= 2.0),
  python-django-nose (>= 1.4.4),
- python-hacking,
+ python-hacking (>= 0.12.0),
  python-iso8601 (>= 0.1.11),
  python-keystoneclient (>= 1:3.8.0),
  python-manilaclient (>= 1.16.0),
@@ -30,16 +30,19 @@
  python-mox3 (>= 0.20.0),
  python-netifaces (>= 0.10.4),
  python-neutronclient (>= 1:6.3.0),
- python-nose-exclude,
+ python-nose-exclude (>= 0.3.0),
  python-novaclient (>= 2:9.1.0),
- python-openstackdocstheme (>= 1.17.0),
- python-oslo.log (>= 3.30.0),
+ python-openstackdocstheme (>= 1.18.1),
+ python-oslo.log (>= 3.36.0),
  python-oslo.serialization (>= 2.18.0),
  python-oslosphinx (>= 4.7.0),
  python-saharaclient (>= 1.4.0),
  python-selenium,
+ python-subunit (>= 1.0.0),
+ python-testrepository (>= 0.0.18),
  python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
+ python-tz (>= 2013.6),
  python-unittest2,
  python-xvfbwrapper (>= 0.1.3),
  subunit,
@@ -62,10 +65,11 @@
  python-manilaclient (>= 1.16.0),
  python-neutronclient (>= 1:6.3.0),
  python-novaclient (>= 2:9.1.0),
- python-oslo.log (>= 3.30.0),
+ python-oslo.log (>= 3.36.0),
  python-oslo.serialization (>= 2.18.0),
  python-pbr (>= 2.0.0),
  python-saharaclient (>= 1.4.0),
+ python-tz (>= 2013.6),
  ${misc:Depends},
  ${python:Depends},
 Description: OpenStack data processing cluster as a service - dashboard plugin

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,7 @@
 	# sahara_dashboard/enabled/_*
 	set -e ; for pyvers in $(PYTHONS); do \
 		mkdir -p $(CURDIR)/debian/python-sahara-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
-		cp $(CURDIR)/sahara_dashboard/enabled/_* $(CURDIR)/debian/python-sahara-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
-		rm $(CURDIR)/debian/python-sahara-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled/__init__.py ; \
+		cp $(CURDIR)/sahara_dashboard/enabled/_18* $(CURDIR)/debian/python-sahara-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
 	done
 	mkdir -p $(CURDIR)/debian/python-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
-	cp $(CURDIR)/sahara_dashboard/enabled/_*.py $(CURDIR)/debian/python-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
-	rm $(CURDIR)/debian/python-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled/__init__.py
+	cp $(CURDIR)/sahara_dashboard/enabled/_18*.py $(CURDIR)/debian/python-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/sahara-dashboard sahara-dashboard-(8\.\d.*)\.tar\.gz

## sahara-dashboard 9.0.0~b2

=== requirements.txt ===
--- 
+++ 
@@ -4,14 +4,16 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 # Horizon Core Requirements
-Django<2.0,>=1.8 # BSD
+Django<2.0,>=1.11 # BSD
 django-compressor>=2.0 # MIT
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 python-designateclient>=2.7.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 python-manilaclient>=1.16.0 # Apache-2.0
-python-neutronclient>=6.3.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-saharaclient>=1.4.0 # Apache-2.0
 pytz>=2013.6 # MIT
+
+horizon>=14.0.0.0b1 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (9.0.0~b2-0ubuntu3) cosmic; urgency=medium

  * d/control: Ensure openstack-dashboard min version is Rocky.
  * d/control: Drop python(3)-sahara-dashboard conflicts to align with
    other dashboards.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 11:32:39 -0400

sahara-dashboard (9.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-sahara-dashboard package.
    - d/control: Make python(3)-sahara-dashboard conflict against each
      other.
    - d/rules: Add Py3 support.
    - python(3)-sahara-dashboard.postinst: Added py3 postinst script
      and updated both scripts to ensure proper python binary is used when
      collecting/compressing static assets.
  * d/rules: Drop dup cp of dashboards. python-django-horizon uses update-
    alternatives to point /usr/share/openstack-dashboard/openstack_dashboard
    at /usr/lib/python*/dist-packages/openstack_dashboard.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jul 2018 18:13:08 -0400

sahara-dashboard (9.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 9.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/copyright: Use https URLs.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 15:03:02 -0400

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~),
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-designateclient (>= 2.7.0),
 python-django (>= 1.11),
 python-django-compressor (>= 2.0),
 python-django-horizon (>= 3:14.0.0~),
 python-django-nose (>= 1.4.4),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneclient (>= 1:3.8.0),
 python-manilaclient (>= 1.16.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-netifaces (>= 0.10.4),
 python-neutronclient (>= 1:6.7.0),
 python-nose-exclude (>= 0.5.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslosphinx (>= 4.7.0),
 python-saharaclient (>= 1.4.0),
 python-selenium (>= 2.50.1),
 python-subunit (>= 1.0.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tz (>= 2013.6),
 python-unittest2,
 python-xvfbwrapper (>= 0.1.3),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose-exclude (>= 0.5.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslosphinx (>= 4.7.0),
 python3-saharaclient (>= 1.4.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Homepage: https://github.com/stackforge/sahara-dashboard
Testsuite: autopkgtest-pkg-python

Package: python-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~),
 python-babel (>= 2.3.4),
 python-designateclient (>= 2.7.0),
 python-django (>= 1.11),
 python-django-compressor (>= 2.0),
 python-django-horizon (>= 3:14.0.0~),
 python-iso8601 (>= 0.1.11),
 python-keystoneclient (>= 1:3.8.0),
 python-manilaclient (>= 1.16.0),
 python-neutronclient (>= 1:6.7.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-pbr (>= 2.0.0),
 python-saharaclient (>= 1.4.0),
 python-tz (>= 2013.6),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack data processing cluster as a service - Python 2 dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python 2 OpenStack dashboard plugin.

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~),
 python3-babel (>= 2.3.4),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 2.0.0),
 python3-saharaclient (>= 1.4.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Python 3 dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack Python 3 dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/sahara-dashboard sahara-dashboard-(9\.\d.*)\.tar\.gz

## sahara-dashboard 9.0.0~b3

=== requirements.txt ===
--- 
+++ 
@@ -4,16 +4,18 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 # Horizon Core Requirements
-Django<2.0,>=1.11 # BSD
+Django<2,>=1.11;python_version<'3.0'  # BSD
+Django<2.1,>=1.11;python_version>='3.0'  # BSD
 django-compressor>=2.0 # MIT
+keystoneauth1>=3.4.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 python-designateclient>=2.7.0 # Apache-2.0
-python-keystoneclient>=3.8.0 # Apache-2.0
+python-keystoneclient>=3.15.0 # Apache-2.0
 python-manilaclient>=1.16.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-saharaclient>=1.4.0 # Apache-2.0
 pytz>=2013.6 # MIT
 
-horizon>=14.0.0.0b1 # Apache-2.0
+horizon>=14.0.0.0b2 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (9.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Exclude integration tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 12:17:38 -0400

=== debian/control ===
--- 
+++ 
@@ -17,18 +17,19 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0~b2~),
  python-babel (>= 2.3.4),
  python-coverage (>= 4.0),
  python-ddt (>= 1.0.1),
  python-designateclient (>= 2.7.0),
  python-django (>= 1.11),
  python-django-compressor (>= 2.0),
- python-django-horizon (>= 3:14.0.0~),
+ python-django-horizon (>= 3:14.0.0~b2~),
  python-django-nose (>= 1.4.4),
  python-hacking (>= 0.12.0),
  python-iso8601 (>= 0.1.11),
- python-keystoneclient (>= 1:3.8.0),
+ python-keystoneauth1 (>= 3.4.0),
+ python-keystoneclient (>= 1:3.15.0),
  python-manilaclient (>= 1.16.0),
  python-mock (>= 2.0.0),
  python-mox3 (>= 0.20.0),
@@ -55,11 +56,12 @@
  python3-designateclient (>= 2.7.0),
  python3-django (>= 1.11),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:14.0.0~),
+ python3-django-horizon (>= 3:14.0.0~b2~),
  python3-django-nose (>= 1.4.4),
  python3-hacking (>= 0.12.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneclient (>= 1:3.8.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.15.0),
  python3-manilaclient (>= 1.16.0),
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.20.0),
@@ -91,14 +93,15 @@
 Package: python-sahara-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0~b2~),
  python-babel (>= 2.3.4),
  python-designateclient (>= 2.7.0),
  python-django (>= 1.11),
  python-django-compressor (>= 2.0),
- python-django-horizon (>= 3:14.0.0~),
+ python-django-horizon (>= 3:14.0.0~b2~),
  python-iso8601 (>= 0.1.11),
- python-keystoneclient (>= 1:3.8.0),
+ python-keystoneauth1 (>= 3.4.0),
+ python-keystoneclient (>= 1:3.15.0),
  python-manilaclient (>= 1.16.0),
  python-neutronclient (>= 1:6.7.0),
  python-novaclient (>= 2:9.1.0),
@@ -119,14 +122,15 @@
 Package: python3-sahara-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0~b2~),
  python3-babel (>= 2.3.4),
  python3-designateclient (>= 2.7.0),
  python3-django (>= 1.11),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:14.0.0~),
+ python3-django-horizon (>= 3:14.0.0~b2~),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneclient (>= 1:3.8.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.15.0),
  python3-manilaclient (>= 1.16.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),

## sahara-dashboard 9.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 python-manilaclient>=1.16.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
-python-saharaclient>=1.4.0 # Apache-2.0
+python-saharaclient>=2.0.0 # Apache-2.0
 pytz>=2013.6 # MIT
 
 horizon>=14.0.0.0b2 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (9.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:49:25 -0400

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  python-oslo.log (>= 3.36.0),
  python-oslo.serialization (>= 2.18.0),
  python-oslosphinx (>= 4.7.0),
- python-saharaclient (>= 1.4.0),
+ python-saharaclient (>= 2.0.0),
  python-selenium (>= 2.50.1),
  python-subunit (>= 1.0.0),
  python-testrepository (>= 0.0.18),
@@ -73,7 +73,7 @@
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslosphinx (>= 4.7.0),
- python3-saharaclient (>= 1.4.0),
+ python3-saharaclient (>= 2.0.0),
  python3-selenium (>= 2.50.1),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
@@ -108,7 +108,7 @@
  python-oslo.log (>= 3.36.0),
  python-oslo.serialization (>= 2.18.0),
  python-pbr (>= 2.0.0),
- python-saharaclient (>= 1.4.0),
+ python-saharaclient (>= 2.0.0),
  python-tz (>= 2013.6),
  ${misc:Depends},
  ${python:Depends},
@@ -137,7 +137,7 @@
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-pbr (>= 2.0.0),
- python3-saharaclient (>= 1.4.0),
+ python3-saharaclient (>= 2.0.0),
  python3-tz (>= 2013.6),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=saharadashboard.test.settings \
		python-coverage run \
		$(CURDIR)/manage.py test sahara_dashboard --settings=sahara_dashboard.test.settings --exclude-dir=sahara_dashboard/test/integration_tests
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=saharadashboard.test.settings \
		python3-coverage run \
		$(CURDIR)/manage.py test sahara_dashboard --settings=sahara_dashboard.test.settings --exclude-dir=sahara_dashboard/test/integration_tests
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install

	# Activates the sahara_dashboard plugin in Horizon - Python 2
	# sahara_dashboard/enabled/_*
	mkdir -p $(CURDIR)/debian/python-sahara-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/sahara_dashboard/enabled/_18* $(CURDIR)/debian/python-sahara-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \

	# Activates the sahara_dashboard plugin in Horizon - Python 3
	# sahara_dashboard/enabled/_*
	mkdir -p $(CURDIR)/debian/python3-sahara-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/sahara_dashboard/enabled/_18* $(CURDIR)/debian/python3-sahara-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

## sahara-dashboard 9.0.0

=== debian/changelog ===
sahara-dashboard (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Relax python3-django lower version.
  * Test only in sahara_dashboard/test.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:45:41 +0200

sahara-dashboard (9.0.0~rc2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 16:48:15 +0200

sahara-dashboard (8.0.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Added missing EPOC in (build-)depends: openstack-dashboard.
  * New upstream release:
    - Doesn't depend on django-openstack-auth (Closes: #893245).
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Removed all patches applied upstream.

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Deprecating priority extra as per policy 4.0.1.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Mar 2018 14:28:25 +0100

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-coverage,
 python3-ddt (>= 1.0.1),
 python3-designateclient (>= 2.7.0),
 python3-django (<< 2:2),
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock,
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-saharaclient (>= 2.0.0),
 python3-selenium,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz,
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
Standards-Version: 4.1.0
Vcs-Git: https://salsa.debian.org/openstack-team/services/sahara-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/sahara-dashboard
Homepage: https://github.com/stackforge/sahara-dashboard

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-designateclient (>= 2.7.0),
 python3-django (<< 2:2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-manilaclient (>= 1.16.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 2.0.0),
 python3-saharaclient (>= 2.0.0),
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-sahara-dashboard,
Replaces:
 python-sahara-dashboard,
Description: OpenStack data processing cluster as a service - dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=saharadashboard.test.settings \
		python3 -m coverage run \
		$(CURDIR)/manage.py test sahara_dashboard/test --settings=sahara_dashboard.test.settings --exclude-tag integration
endif

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-sahara-dashboard ; \
	done

	# Activates the sahara_dashboard plugin in Horizon
	# sahara_dashboard/enabled/_*
	mkdir -p $(CURDIR)/debian/python3-sahara-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp -r $(CURDIR)/sahara_dashboard/enabled/_* $(CURDIR)/debian/python3-sahara-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	rm $(CURDIR)/debian/python3-sahara-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled/__init__.py

	mkdir -p $(CURDIR)/debian/python3-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp -r $(CURDIR)/sahara_dashboard/enabled/_*.py $(CURDIR)/debian/python3-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	rm $(CURDIR)/debian/python3-sahara-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled/__init__.py
